Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.engine.util
Class ReplaceFunctionsWithStrings

    java.lang.Object
      org.apache.jmeter.engine.util.AbstractTransformer
          org.apache.jmeter.engine.util.ReplaceFunctionsWithStrings

All Implemented Interfaces:
  org.apache.jmeter.engine.util.ValueTransformer

public class ReplaceFunctionsWithStrings
extends org.apache.jmeter.engine.util.AbstractTransformer

Transforms strings into variable references (in spite of the name, which suggests the opposite!)

Field Summary
`protected CompoundVariable` | `masterFunction`
`protected Map` | `variables`

Constructor Summary
`ReplaceFunctionsWithStrings(CompoundVariable masterFunction, Map variables)`
`ReplaceFunctionsWithStrings(CompoundVariable masterFunction, Map variables, boolean regexMatch)`

Method Summary
`protected CompoundVariable` | `getMasterFunction()`
`Map` | `getVariables()`
`void` | `setMasterFunction(CompoundVariable variable)` Set the master function for the value transformer.
`void` | `setVariables(Map map)` Set the variable names and values used to reverse replace functions with strings, and undo functions to raw values.
`JMeterProperty` | `transformValue(JMeterProperty prop)` Transform the given property and return the new version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### masterFunction

    protected CompoundVariable masterFunction

### variables

    protected Map variables

Constructor Detail

### ReplaceFunctionsWithStrings

    public ReplaceFunctionsWithStrings(CompoundVariable masterFunction,
                                       Map variables)

### ReplaceFunctionsWithStrings

    public ReplaceFunctionsWithStrings(CompoundVariable masterFunction,
                                       Map variables,
                                       boolean regexMatch)

Method Detail

### transformValue

    public JMeterProperty transformValue(JMeterProperty prop)
                                  throws InvalidVariableException

  Description copied from interface: `org.apache.jmeter.engine.util.ValueTransformer`
  Transform the given property and return the new version.

  Parameters:
    `prop` -
  Returns:
    the transformed property
  Throws:
    `InvalidVariableException`

### setMasterFunction

    public void setMasterFunction(CompoundVariable variable)

  Description copied from interface: `org.apache.jmeter.engine.util.ValueTransformer`
  Set the master function for the value transformer. This handles converting strings to functions.

  Specified by:
    `setMasterFunction` in interface `org.apache.jmeter.engine.util.ValueTransformer`
  Parameters:
    `variable` -

### getMasterFunction

    protected CompoundVariable getMasterFunction()

### getVariables

    public Map getVariables()

### setVariables

    public void setVariables(Map map)

  Description copied from interface: `org.apache.jmeter.engine.util.ValueTransformer`
  Set the variable names and values used to reverse replace functions with strings, and undo functions to raw values.

  Specified by:
    `setVariables` in interface `org.apache.jmeter.engine.util.ValueTransformer`
  Parameters:
    `map` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.